Subject: Re: Translation inclusion criteria

From: Rodrigo Rosenfeld Rosas <[email-masked]>
Date: Thu, 31 Mar 2011 10:16:46 -0300

Em 30-03-2011 10:08, Pat Thoyts escreveu:
> Rodrigo Rosenfeld Rosas<[email-masked]>  writes:
>
>> Em 29-03-2011 15:59, Junio C Hamano escreveu:
>>> Drew Northup<[email-masked]>   writes:
>>>
>>>> On Tue, 2011-03-22 at 09:57 -0300, Rodrigo Rosenfeld Rosas wrote:
>>>>> Hi, I've followed the instructions in git-gui/po/README in 2008 but
>>>>> pt.po was never included in master. Now I've just updated it.
>>>>>
>>>>> Is there anything else I should do for it being merged to master? What
>>>>> is the criteria for including new translations?
>>>> ...
>>>> Rodrigo,
>>>> Internationalization of Git is very much an ongoing process. I suspect
>>>> that has something to do with the uptake of your contribution. Ævar may
>>>> have more information.
>>> All the git-gui changes come through Pat Thoyts these days; Ævar has
>>> nothing to with git-gui i18n/l10n (except perhaps as a translator to his
>>> own language, but I don't see his name in the shortlog).
>>>
>>> Perhaps the submission was sent with wrong Cc:; I don't pay attention to
>>> git-gui and gitk l10n patches myself.
>> Sorry, I think I'm missing something. From the mentioned README, it
>> seems we're supposed to push our changes to the mob branch of
>> [email-masked]:/srv/git/git-gui/git-gui-i18n.git/, which has write
>> access enabled for everyone.
>>
>> That's what I've done. I couldn't find any mention in the README about
>> having to send some mail after that.
>>
>> I'll wait for instructions from Pat Thoyts to understand better what
>> should be my next step...
>>
>> Thanks,
>>
>> Rodrigo.
> It's best to just send a patch to me and this list based against one
> of the current branches (master/maint/pu). The i18n fork was done for
> the original work adding i18n to git-gui and hasn't been kept up to date
> since 2008.

Ok, thanks. I've just noticed pt_br.po was already included some days 
ago on March 26 by Junio Hamano and it is up-to-date in the master branch.

But it would be great to update the README to replace those instructions 
regarding [email-masked] by the new instruction for sending the patches 
by e-mail.

Best regards,

Rodrigo.